Bug 204417 - Review Request: telepathy-gabble - A Jabber/XMPP connection manager
Review Request: telepathy-gabble - A Jabber/XMPP connection manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sander Hoentjen
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-28 19:06 EDT by Brian Pepple
Modified: 2010-07-21 01:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-09 20:06:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sebastian: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2006-08-28 19:06:45 EDT
Spec URL: http://piedmont.homelinux.org/fedora/telepathy/telepathy-gabble.spec
SRPM URL: http://piedmont.homelinux.org/fedora/telepathy/telepathy-gabble-0.3.1-1.src.rpm
Description: The Telepathy project aims to provide a unified framework for all forms of real time conversations, including instant messaging, IRC, voice calls and video calls. It uses the DBus messaging system to provide a simple interface for client applications, allowing them to quickly benefit from Telepathy's functionality.

telepathy-gabble is a Jabber/XMPP connection manager, that handles single and multi-user chats and voice calls.
Comment 1 Sander Hoentjen 2006-09-01 02:40:47 EDT
Do you know 0.3.2 is out? I think it would be better to package that. 0.3.2
Requires a newer loudmouth version then we currently have, so maybe you can
update that package as well. (The telepathy people told me they have lots of
stability problems with the older (< 1.1.1) loudmouth version)

Other then that I had a quick look at you specfile and it looks very good to me.
I will try to do a review this evening (Europe) but if anyone beats me to it go
right ahead since my mock currently isn't working so i am not sure yet i will be
able to do the review.
Comment 2 Brian Pepple 2006-09-01 09:18:01 EDT
(In reply to comment #1)
> Do you know 0.3.2 is out? I think it would be better to package that. 0.3.2
> Requires a newer loudmouth version then we currently have, so maybe you can
> update that package as well. (The telepathy people told me they have lots of
> stability problems with the older (< 1.1.1) loudmouth version)

You are referring to the unstable release line for loudmouth, which I will not
be updating to, since other packages (gossip, mugshot) depend upon loudmouth.
Comment 3 Sander Hoentjen 2006-09-01 13:51:41 EDT
GOOD
- package meets naming and packaging guidelines.
- specfile is properly named, is cleanly written and uses macros consistently.
- dist tag is present.
- build root is correct.
- license field matches the actual license.
- license is open source-compatible.  License text included in package.
- source files match upstream: feb6766c1d2f984f1f37ffc8889e6faa
- BuildRequires are proper.
- package builds in mock (x86_64).
- rpmlint is silent.
- final provides and requires are sane:
 telepathy-gabble-0.3.1-1.fc6.x86_64.rpm
  telepathy-gabble = 0.3.1-1.fc6
 =
  libdbus-1.so.3()(64bit)  
  libdbus-glib-1.so.2()(64bit)  
  libglib-2.0.so.0()(64bit)  
  libgobject-2.0.so.0()(64bit)  
  libloudmouth-1.so.0()(64bit)  

 telepathy-gabble-debuginfo-0.3.1-1.fc6.x86_64.rpm
  telepathy-gabble-debuginfo = 0.3.1-1.fc6
 =
- no shared libraries are present.
- package is not relocatable.
- owns the directories it creates.
- doesn't own any directories it shouldn't.
- no duplicates in %files.
- file permissions are appropriate.
- %clean is present.
- no scriptlets present.
- code, not content.
- documentation is small, so no -docs subpackage is necessary.
- %docs are not necessary for the proper functioning of the package.
- no headers.
- no pkgconfig files.
- no libtool .la droppings.
- not a GUI app.
- not a web app.

MINOR:
Not the latest version is being packaged, but that is ok in this case. If you do
want to package the latest version (0.3.2) you can use
--disable-loudmouth-versioning
In both cases (if i understand correctly) there might be some crashing due to
connection errors, but this will be fixed when the unstable branch of loudmouth
is released as stable.

APPROVED
Comment 4 Sander Hoentjen 2006-09-02 05:45:40 EDT
Hmm I know I said approved but I just thought of something of which i am not sure.
You have:
%dir %{_datadir}/telepathy/
%dir %{_datadir}/telepathy/managers/
is it ok for other packages to have this as well, or can there be only one owner?
If only one owner, telepathy-gabble should not be the owner.
Comment 5 Brian Pepple 2006-09-02 10:17:05 EDT
Other packages can have this as well, but what package do you think should own
this if not telepathy-gabble?

BTW, if your approve still stands could you do the rest of the reviewer steps
necessary according to the wiki?

http://fedoraproject.org/wiki/Packaging/ReviewGuidelines#head-e1a114b23499786e13113ebf072d03a8f8d02094
Comment 6 Sander Hoentjen 2006-09-02 12:49:42 EDT
(In reply to comment #5)
> Other packages can have this as well, but what package do you think should own
> this if not telepathy-gabble?

Yes, that is the hard part. I don't know, but if somebody wants only to chat
over msn netwrok he would just have to install telepathy-msn and not
telepathy-gabble, so telepathy-msn should own the dirs in that case. But if i
understand things correctly multiple packages owning the same dir is not good.
If it is ok then I have no problems, but if it is indeed bad then we have to
find a solution. One thing I can think of is having a telepathy-managers package
which would be required by all tp connection managers and owns those dirs, but I
don't know how such a package is viewed upon, and if there are better solutions.
> 
> BTW, if your approve still stands could you do the rest of the reviewer steps
> necessary according to the wiki?
> 
>
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines#head-e1a114b23499786e13113ebf072d03a8f8d02094
Yes I want that but this is the first package I am formally reviewing and i am
waiting until my fedorabugs membership is approved
Comment 7 Sander Hoentjen 2006-09-05 16:15:06 EDT
Ok I asked in fedora extras list and it seems an extra package for dir ownership
is the way to go. Do you want to create such a package, or do you have another
suggestion?
Comment 8 Brian Pepple 2006-09-05 16:42:17 EDT
(In reply to comment #7)
> Ok I asked in fedora extras list and it seems an extra package for dir ownership
> is the way to go. Do you want to create such a package, or do you have another
> suggestion?

I'm a little skeptical if that is the right thing to do at the moment,
considering  no other managers have even been released so far.  Maybe once one
of the other managers have a proper release.  Glancing thru the repo the only
package I see that has a separate filesystem package is xorg-x11 currently.

Comment 9 Sander Hoentjen 2006-09-06 01:55:53 EDT
Well there will be other managers in the future so why not deal with it right now?
Sure we can wait until the next connection manager is released, but we will have
to find a solution. If you have a solution other then i suggested please let me
know.
Comment 10 Sander Hoentjen 2006-09-08 07:12:15 EDT
Ok, I am approving this package with the note:
- doesn't own any directories it shouldn't.
I was wrong there. It does own a dir that it shouldn't, and that will be dealt
with as soon as the first other telepatthy connection manager will be packaged.
Since there are none at the moment I will approve now
Comment 11 Brian Pepple 2007-10-12 12:52:20 EDT
Package Change Request
======================
Package Name: telepathy-gabble
New Branches: F-8
Comment 12 Kevin Fenzi 2007-10-12 13:41:09 EDT
cvs done.
Comment 13 Brian Pepple 2008-11-10 09:39:29 EST
New Package CVS Request
=======================
Package Name: telepathy-gabble
Owners: morgan.collett@gmail.com, tomeu@tomeuvizoso.net 
Branches: OLPC-3
Comment 14 Kevin Fenzi 2008-11-10 11:58:52 EST
Please use FAS names for owners. ;) 

cvs done.
Comment 15 Brian Pepple 2008-11-10 12:42:35 EST
(In reply to comment #14)
> Please use FAS names for owners. ;) 

Sorry, totally forgot.  Tells you how long it's been since I've had to request a branch. ;)
Comment 16 Peter Robinson 2010-06-10 15:55:25 EDT
Package Change Request
======================
Package Name: telepathy-gabble
New Branches: EL-6
Owners: pbrobinson sdz
Comment 17 Kevin Fenzi 2010-06-11 00:17:17 EDT
Have you checked with Brian here?
Comment 18 Jason Tibbitts 2010-06-18 11:47:43 EDT
No response in a week; I'm going to clear the fedora-cvs flag on the whole set of identical requests so these tickets don't clog up the queue.  In case you haven't seen it, here's the guideline to follow for branching someone else's packages into EPEL:
 http://fedoraproject.org/wiki/Getting_a_Fedora_package_in_EPEL
Comment 19 Sebastian Dziallas 2010-07-20 19:25:13 EDT
Package Change Request
======================
Package Name: telepathy-gabble
New Branches: EL-6
Owners: pbrobinson sdz bpepple

I emailed Brian and he said that it would probably be better if someone else maintained the EPEL branches, since he's not currently running any systems that use EPEL. If you need additional confirmation, can you comment here please, Brian? For background, we're interested in maintaining these in EPEL since they are dependencies of the Sugar Environment, which we're trying to push into EPEL.
Comment 20 Sebastian Dziallas 2010-07-20 19:28:31 EDT
Argh, I'm being stupid. Setting fedora-cvs instead of fedora-review. Sorry for the noise.
Comment 21 Kevin Fenzi 2010-07-21 01:01:51 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.